petsc-3.10.5 2019-03-28
Report Typos and Errors

# PCFactorGetUseInPlace

Determines if an in-place factorization is being used.

### Synopsis

    #include "petscpc.h"
    PetscErrorCode  PCFactorGetUseInPlace(PC pc,PetscBool *flg)

Logically Collective on PC

### Input Parameter

pc -the preconditioner context

### Output Parameter

flg -PETSC_TRUE to enable, PETSC_FALSE to disable

### Keywords

PC, set, factorization, direct, inplace, in-place, LU

### See Also

PCFactorSetUseInPlace()

### Level

intermediate

### Location

src/ksp/pc/impls/factor/factor.c

### Implementations

PCFactorGetUseInPlace_Factor in src/ksp/pc/impls/factor/factor.c
Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages